function init(hero) {
    hero.setName("Five/\u00A76\u00A7lUHP\u00A7r");
    hero.setVersion("The Umbrella Academy");
    hero.setTier(1);
    
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:rip_hunters_gun");
    hero.addEquipment("fiskheroes:chronos_rifle");
    
    hero.addPowers("uhp:space_time_manipulation");
	
    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.20, 1);
    hero.addAttribute("WEAPON_DAMAGE", 7.0, 0);

    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("TELEPORT", "key.teleport", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
    
    hero.setHasPermission(hasPermission);
	
    hero.setTierOverride(getTierOverride);
	
    hero.supplyFunction("canAim", canAim);

    hero.setDefaultScale(0.85);

}

function getTierOverride(entity) {
    return 0;
}

function hasPermission(entity, permission) {
    return permission == "USE_RIPS_GUN" || permission == "USE_CHRONOS_RIFLE";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun" || entity.getHeldItem().name() == "fiskheroes:chronos_rifle";
}
